Loading...
Searching...
No Matches
janus_ice_stats_info Struct Reference

Janus media statistics. More...

`#include <ice.h>`

## Data Fields

guint32 | packets
| Packets sent or received.
guint64 | bytes
| Bytes sent or received.
guint32 | bytes_lastsec
| Bytes sent or received in the last second.
guint32 | bytes_lastsec_temp
gint64 | updated
| Time we last updated the last second counter.
gboolean | notified_lastsec
| Whether or not we notified about lastsec issues already.
guint32 | nacks
| Number of NACKs sent or received.

## Detailed Description

Janus media statistics.

Note
  To improve with more stuff

## Field Documentation

## bytes

guint64 janus_ice_stats_info::bytes

Bytes sent or received.

## bytes_lastsec

guint32 janus_ice_stats_info::bytes_lastsec

Bytes sent or received in the last second.

## bytes_lastsec_temp

guint32 janus_ice_stats_info::bytes_lastsec_temp

## nacks

guint32 janus_ice_stats_info::nacks

Number of NACKs sent or received.

## notified_lastsec

gboolean janus_ice_stats_info::notified_lastsec

Whether or not we notified about lastsec issues already.

## packets

guint32 janus_ice_stats_info::packets

Packets sent or received.

## updated

gint64 janus_ice_stats_info::updated

Time we last updated the last second counter.

The documentation for this struct was generated from the following file:

- ice.h